﻿using System.Collections.Generic;
using System.ServiceModel;
using System.Threading.Tasks;
using AsyncWcfService.Entities;

namespace AsyncWcfService
{
    [ServiceContract]
    public interface IAsyncService
    {
        [OperationContract]
        decimal CalculateOrderCostSync(int accountId, List<OrderItem> orderItems);

        [OperationContract]
        Task<decimal> CalculateOrderCostAsync(int accountId, List<OrderItem> orderItems);
    }
}
